package io.gitlab.jfronny.modsmod.builder;

import io.gitlab.jfronny.modsmod.ModsMod;

import java.io.BufferedWriter;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.util.HashMap;
import java.util.Map;

public class JsonBuilder {
    public static void build(int number, Path outputPath, boolean parent) throws IOException {
        try (BufferedWriter bw = Files.newBufferedWriter(outputPath)) {
            ModsMod.GSON.toJson(new ModManifest(number, parent), bw);
        }
    }

    @SuppressWarnings("unused")
    private static class ModManifest {
        public final int schemaVersion = 1;
        public final String id;
        public final String version = "1.0";
        public final String name;
        public final Map<String, ModMenuData> custom = new HashMap<>();

        public ModManifest(int number, boolean parent) {
            id = "modmod_" + number;
            name = "ModsMod " + number;
            if (parent)
                custom.put("modmenu", new ModMenuData());
        }

        public static class ModMenuData {
            public final String parent = "modsmod";
        }
    }
}
